# Banyan Netagent configuration

# GPG password (available from Banyan)
gpg_password: "gobany@n"

# Shield address as IP_ADDR:PORT
shield_address: 127.0.0.1:1200
# Listen TCP port on localhost for proxying
listen_port: 9999
# Listen TCP port on all local IPs for netagent health check
listen_port_health: 9998

# Set to true if Shield requires secure bootstrapping
secure_bootstrap: false
# One Time Key to register Netagent, mandatory if Shield requires secure bootstrapping (available from Banyan Dashboard)
one_time_key: ""

# Redirect http to https
redirect_to_https: false

# HTTP CONNECT proxy (when non-empty, overrides HTTPS_PROXY environment variable)
https_proxy: ""

# Enable Http connect feature
http_connect: true

# Enable groups by userinfo
groups_by_userinfo: false

############################
# BEGIN ACCESS TIER SETTINGS
############################

# Deploy netagent in elastic access tier
access_tier: false
# Display name of the site in the Command Center.
site_name: ""
# True (canonical) domain name of the site.
site_address: ""
# Comma-separated list of domain names that can alias the site_address.
site_domain_names: ""
# (OPTIONAL) boolean that indicates whether the site is autoscale-enabled.
# site_autoscale: false

############################
# END ACCESS TIER SETTINGS
############################

# Label all processes/containers on the host with custom metadata (list of key:value pairs)
host_tags:
    # Example where key=ostype, val=linux:
    # ostype: linux


# Visibility mode (ignore CIDRs, roles, policies)
visibility_only: false
# Source of public IP info: AWS, GCE, default, none
public_ip_source: default
# Disable L7 protocol parsing
disable_layer_7: true
# Traffic to ignore, as list of executable commands
ignore_traffic:
    - consul
    - etcd
    - haproxy

# Lifetime of a certificate
cert_lifetime: 24h

# Read service specifications from a file
services_from_file: false

# Filename for service specifications
services_file_name: /opt/banyan/services.json

# Max percentage usage of each CPU core [1-100]
cpu_limit: 100

# Console log level: ERR,WARN,INFO,DEBUG
console_log_level: ERR
# File log level: ERR,WARN,INFO,DEBUG
file_log_level: INFO

# **************************************************************/
# *** The most commonly modified options are above this line ***/
# **************************************************************/

# ****************** shield ********************/

# If Shield goes down for this long then policies switch to permissive (default is 0=disabled)
# shield_timeout: 

# ****************** proxy *********************/

# Forward the banyan trust cookie to upstream servers
# forward_trust_cookie: false

# access event credit-based rate limiting
# access_event_credits_limiting: true
# access_event_credits_max: 1000
# access_event_credits_interval: 1m
# access_event_credits_per_interval: 1

# access event rate limiting by derived event key [key = source address + user + ...]
# access_event_key_limiting: true
# access_event_key_expiration: 9m
# maximum_session_timeout: 43200s

# TCP keepalive
# keep_alive: true
# Idle time before sending TCP keepalive
# keep_idle: 59s
# Time between consecutive TCP keepalives
# keep_interval: 59s
# Keepalive missing ACKs before closing connection
# keep_count: 3

# Client identification timeout
# client_timeout: 20s

# Forwarding gateway mode, e.g., VPN
# forward: false
# List of ingress CIDRs for forwarding gateway mode, e.g., VPN
# forward_ingress: []

# badactor settings
# activate the badactor module
# bad_actor: false
# bad actor infraction count number to be put in jail
# infraction_count: 10
# period of time each bad actor spends in the jail
# sentence_time: 10m

# ****************** netagent ******************/

# Turn on CPU profiling by giving prof output filepath
# cpu_profile:
# Turn on memory profiling
# mem_profile: false

# Log output to LOGFILENAME
# file_log: true
# Number of log files (auto-rotations)
# log_num: 10
# Max size of each log file in megabytes
# log_size: 50
# Number of kafka log files (auto-rotations)
# kafka_log_num: 2
# Max size of each kafka log file in megabytes
# kafka_log_size: 50

# Use the kernel module (true) or not (false)
# kernel: true
# Host-only mode
# host_only: true
# Disable monitoring Docker
# disable_docker: false

# Send all-zero data points to Shield
# send_zeros: false
# Statistics reporting interval [secs]
# period: 20

# Enable request level access events
# request_level_events: true

# Provide client address transparency (forced to false when access tier is true)
# address_transparency: true

# Redirect http to https
# redirect_to_https: false

# ************* keypair ************************/

# Use RSA instead of ECDSA
# use_rsa: false

# Include non-root CA certs in the TLS handshake server cert chain
# full_server_cert_chain: true

# ***************** http *********************/

# Perform OIDC redirects only if HTTP request host matches domain name in service spec
# oidc_strict_host: false
# inactivity_timeout: 3600s
# code_flow: false

# ****************** k8s ***********************/

# Access Kubernetes kubelet for pod info
# kubelet: false
# Kubernetes kubelet addr:port
# kubelet_addr: http://localhost:10255
# Use Istio
# istio: false
# Address to access Istio data
# istio_address: 
# Address to listen for Istio authz requests
# istio_auth_listen: localhost:9990
