# For systemd, place this script in /lib/systemd/system/netagent.service
# Change the HOME and SHIELD_ADDR values below.
# BANYAN_DIR: replace "LOG_DIR" with the directory that will contain netagent.log* log files.
# SHIELD_ADDR: replace 127.0.0.1:1200 with the IP address and port where Shield is listening.

[Unit]
Description=Banyan Netagent
After=network.target network-online.target

[Service]
WorkingDirectory=/opt/banyan
Environment=BANYAN_DIR=/var/log/banyan
Environment=SHIELD_ADDR=127.0.0.1:1200
Environment=com_banyanops_app=banyan-platform
Environment=com_banyanops_servicename=netagentsvc
Environment=com_banyanops_servicetype=visibility
LimitNOFILE=65536

Type=simple
Restart=on-failure
ExecStartPre=/opt/banyan/start-net.sh
ExecStartPre=/sbin/insmod /opt/banyan/netting.ko all_processes=1
ExecStart=/opt/banyan/netagent
ExecStopPost=/sbin/rmmod netting
ExecStopPost=/opt/banyan/stop-net.sh
StandardOutput=null
# StandardError=null
Nice=10

[Install]
WantedBy=multi-user.target
